PHP Manual
Prev |  | Next

# OCI-Lob->writeTemporary

(no version information, might be only in CVS)

OCI-Lob->writeTemporary -- Writes temporary large object

## Description

class OCI-Lob {
bool writeTemporary ( string data [, int lob_type] )
}

Creates a temporary large object and writes data to it.

Parameter lob_type can be one of the following:

`OCI_TEMP_BLOB` is used to create temporary BLOBs
`OCI_TEMP_CLOB` is used to create temporary CLOBs

OCI-Lob->writeTemporary() creates a CLOB by default.

You should use OCI-Lob->close when the work with the object is over.

Returns `TRUE` on success or `FALSE` on failure.

## Parameters

lob_type

## See Also

OCI-Lob->close

Prev | Home | Next
OCI-Lob->write | Up | OCI-Lob->writeToFile